# 
#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform

CC	= gcc

# for Debug
#CFLAGS	= -ggdb -I../curlib01

CFLAGS	= -O2 -I../curlib01

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

wsubform.o : wsubform.c wsubform.h libsubform.a
	$(CC) $(CFLAGS) -c wsubform.c
	ar -rv libsubform.a wsubform.o

kterm :
	$(CC) $(CFLAGS) -DKTERM -c wsubform.c
	ar -rv libsubform.a wsubform.o

subform : sample.o wsubform.o subform.h
	$(CC) sample.c -o sample libsubform.a -lncurses

panels : sample.o wsubform.o subform.h
	$(CC) -DPANELS sample.c -o sample libsubform.a -lncurses

debug :
	$(CC) -ggdb -c wsubform.c
	ar -rv libsubform.a wsubform.o
	$(CC) -ggdb sample.c -o sample libsubform.a -lncurses
